Sprachen & Datenbanken:
  • Java 1.0.2 - 1.8, J2EE, JNI, RMI, Swing, EJB, JDBC, JAXP, JDOM, Servlet API, JSP, Struts, Tiles, AXIS (Soap), Spring Boot, Tomcat 4/5/6, JBoss 3/4/5, BEA WebLogic 8.1 (Projekterfahrung und Zertifikate Sun Certified Programmer for the Java Platform 6, 2008, Sun Certified Web Component Developer, 2004, Sun Certified Programmer for the Java 2 Platform 1.4, 2003)
  • PHP 5.x und Zend Framework
  • Microsoft Visual C++ 1.5 - 6.0, Microsoft Foundation Classes (MFC), Win32 API, Win 3.x API, ODBC API, WinSock API (Projekterfahrung und Zertifikat Microsoft Solution Developer, 1997)
  • Microsoft Visual Basic 2.0 - 5.0, JetEngine mit Microsoft Access Datenbanken, DAO, ADO, diverse VBX/OCX Controls (Projekterfahrung und Zertifikat Microsoft Solution Developer, 1997)
  • C nach K&R und ANSI unter UNIX und MS-DOS, Curses Windowing Library, Codebase B-Tree-Library, KOMBIS EM9750 API (Projekterfahrung)
  • Multimedia Toolbook 3.0, TBDC (Projekterfahrung)
  • MySQL, Oracle, Sybase
  • PROGRESS 4GL & RDBMS V6.2 (Projekterfahrung)
  • Clipper Versionen A85 - 5.2, diverse Clipper-Libraries von KRS, CA, Huggle & Partner (Projekterfahrung)
  • UNIX shell (bash, ksh, sh) und Entwicklungstools (Projekterfahrung)
  • Pascal, Modula, diverse BASIC Interpreter

Entwicklungstools:
  • Eclipse 2 - 4.6, ANT, Maven, JBuilder, Visual Age for Java
  • Rational Rose
  • git, SVN, CVS, Perforce, MKS Source Integrity (MKSSI), UNIX SCCS
  • Bugzilla, GNATS

Modellierung:
  • OOA / OOD, UML (OMG certified UML Professional (OCUP) Fundamental, 2008)
  • ER - Entity Relationship

Networking:
  • TCP/IP (v4 u. v6) und entsprechende Tools (ssh, openssl, nmap, curl, NFS, ...)
  • Firewallsoftware unter FreeBSD und Linux
  • Apache httpd

Betriebssysteme:
  • Apple Mac OS X seit Tiger
  • Microsoft Windows XP/NT4/NT3/98/95/3.1 (Zertifikate Microsoft Product Specialist für Windows XP Professional, 2004 und Microsoft Product Specialist für Windows 95, 1997)
  • FreeBSD 10.x
  • Linux seit Version 1.2.13
  • Sun Solaris / SunOS
  • Interactive UNIX SysV 3.2, Versionen 1.0.6 - 3.0
  • SCO-Xenix für Intel 286
  • HP/DEC OpenVMS 7.2
  • MS-DOS seit Version 2.11